---
name: Director, Accounts Payable
locality:
country: Remote
role: <a href="">Senior Manager, Accounts Payable</a>
reports_to: simon-mundy
picture: "../gitlab-logo-extra-whitespace.png"
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: mbrown6
departments:
- Accounting
specialty:
expertise:
story:
job_title: Director, Accounts Payable
division: Finance
public: false

